Package: org.codehaus.groovy.classgen.asm

## [Java] Class AssertionWriter

- org.codehaus.groovy.classgen.asm.AssertionWriter

-     public class AssertionWriter
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AssertionWriter(WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `disableTracker()`
    `` | `public void` | `record(Token token)`
    `` | `public void` | `record(Expression expression)`
    `` | `public void` | `reenableTracker()`
    `` | `public void` | `writeAssertStatement(AssertStatement statement)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public AssertionWriter(WriterController wc)

  - ### Method Detail

    - #### public void disableTracker()

    - #### public void record(Token token)

    - #### public void record(Expression expression)

    - #### public void reenableTracker()

    - #### public void writeAssertStatement(AssertStatement statement)